Page MenuHomePhabricator

Formalize the RESTBase v1 specification
Closed, ResolvedPublic

Description

We're rapidly approaching the v1 release target of 16 Feb 2015, so let's identify the API we intend to deliver.

This shall include:

  • an enumeration of endpoints and their input/output models (e.g. a Swagger spec)

This should include:

  • service level agreement
  • security details
  • feedback/bug report/feature request procedures
  • v2 roadmap

v1 might be a subset of what's in the current repository, or it might be the whole shebang. Either way, we're close enough to the release date that we have a pretty good idea of what we expect to ship, and can begin to communicate it to the first round of eager users.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Jdouglas updated the task description. (Show Details)
Jdouglas raised the priority of this task from to High.
Jdouglas added a project: RESTBase.
Jdouglas added a subscriber: Jdouglas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 6:59 PM
Jdouglas renamed this task from Formalize the RESTBase v1 specificaiton to Formalize the RESTBase v1 specification.Feb 4 2015, 7:00 PM
Jdouglas set Security to None.
GWicke closed this task as Resolved.Feb 12 2015, 11:54 PM
GWicke claimed this task.
GWicke added a subscriber: GWicke.

Current API spec at https://github.com/wikimedia/restbase/blob/master/specs/mediawiki/v1/content.yaml. The spec is starting to stabilize, but will continue to see tweaks and doc improvements beyond the release.

Most of the other issues are follow-up work, and can be more productively tracked in separate tasks. Closing for this reason.